#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFE,0x48,0x2F,0xB9,0x66,0x57,0x6B,0x34,0x76,0xB9,0x09,0x94,
		0xF9,0xCA,0xAA,0x13,0x9C,0xA9,0x63,0x24,0x9D,0x10,0x63,0xEB,
		0x33,0x65,0x30,0x32,0xDC,0xE7,0x80,0x6B,0xA4,0x3B,0xF9,0xF1,
		0xF9,0xE5,0xAF,0x00,0x56,0xC7,0xD8,0x5D,0x8E,0xDA,0x79,0x38,
		0x4C,0x0F,0xC8,0x87,0xF3,0xCE,0xE9,0xDA,0x38,0xD4,0xCF,0x6E,
		0x5F,0x47,0x7B,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
